> ## Documentation Index
> Fetch the complete documentation index at: https://docs.joinmassive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Async results

> Retrieve the results or status of a queued search.



## OpenAPI

````yaml get /search/results
openapi: 3.1.0
info:
  title: Massive
  description: The missing services for agent-first development.
  version: 1.0.0
servers:
  - url: https://render.joinmassive.com
security:
  - bearerAuth: []
paths:
  /search/results:
    get:
      summary: Async results
      description: Retrieve the results or status of a queued search.
      parameters:
        - name: id
          description: >-
            The identifier returned by the [search endpoint](../search) of the
            queued search to retrieve.
          schema:
            type: string
            format: uuid
            example: 078fd246-f0f7-44a0-aabb-cadd7b12454f
          in: query
          required: true
      responses:
        '200':
          description: The search results.
          content:
            text/html:
              schema:
                type: string
        '202':
          description: The search status.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    description: The status of the queued search.
                    allOf:
                      - $ref: '#/components/schemas/Status'
                required:
                  - status
        '401':
          $ref: '#/components/responses/authenticationError'
        '403':
          $ref: '#/components/responses/authorizationError'
        '422':
          $ref: '#/components/responses/paramsError'
        '500':
          $ref: '#/components/responses/unknownError'
components:
  schemas:
    Status:
      summary: Job status
      type: string
      enum:
        - retrieving
        - failed
      example: retrieving
  responses:
    authenticationError:
      description: The authorization header was missing.
      content:
        text/plain:
          schema:
            type: string
            example: Authorization header must be provided
    authorizationError:
      description: The API token was invalid.
      content:
        text/plain:
          schema:
            type: string
            example: Valid API token must be provided
    paramsError:
      description: One or more parameters were invalid.
      content:
        text/plain:
          schema:
            type: string
            example: Character counts must be no more than 255
    unknownError:
      description: An unknown error occurred.
      content:
        text/plain:
          schema:
            type: string
            example: Unknown error occurred
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````